/**
 * 
 */
package com.platomix.userprofile.handler.support;

import java.util.List;
import java.util.stream.Collectors;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import com.alibaba.fastjson.JSONObject;
import com.platomix.userprofile.enums.DsEnum;
import com.platomix.userprofile.service.DynamicExecuteService;

import lombok.extern.slf4j.Slf4j;

/**
 * @author wookvn
 *
 */
@Slf4j
@Component
public class TempUserEventManager {

	private static int propId = 67;

	@Autowired
	private DynamicExecuteService dynamicExecuteService;
	
	/**
	 * 
	 */
	public void tempAdd() {
		//查询所有事件
		List<JSONObject> list = dynamicExecuteService.list(DsEnum.master, "select id from event where name like '%3.0%'");
		List<String> eventIdList = list.stream().map(item -> item.getString("id")).collect(Collectors.toList());
		//拼接event_prop_map_SQL
		StringBuilder strBuilder = new StringBuilder("insert into event_prop_map(event_id, prop_id, prop_position, create_time) values ");
		eventIdList.forEach(item -> {
			strBuilder.append("("+item+", "+propId+", 'attr10', now()),");
		});
		strBuilder.deleteCharAt(strBuilder.length() - 1);
		log.info(strBuilder.toString());
		dynamicExecuteService.execute(DsEnum.master, strBuilder.toString(), "");
		//拼接project_event_map_SQL
		String sql = "update project_event_map set prop_id_json = '[96, 49, 41, 89, 42, 90, 91, 92, 93, 95, 67]' where event_id in ("+String.join(",", eventIdList)+")";
		log.info(sql);
		dynamicExecuteService.execute(DsEnum.master, sql, "");
//		for(String eventId : eventIdList) {
//			List<JSONObject> list2 = dynamicExecuteService.list(DsEnum.master, "select id, prop_id_json from project_event_map where event_id = " + eventId);
//		}
	}
}
